$mainMod = SUPER # windows key

# Workspace actions
bind = ALT, TAB, workspace, e+1
bind = ALT SHIFT, TAB, workspace, e-1
bind = $mainMod, TAB, workspace, r+1
bind = $mainMod SHIFT, TAB, workspace, r-1
bind = $mainMod, return, workspace, empty

# Window/Session actions
bind = $mainMod, Q, killactive
bind = $mainMod, return, fullscreen
bind = $mainMod, L, exec, swaylock

# Application shortcuts
bind = $mainMod, T, exec, kitty
bind = $mainMod, E, exec, dolphin
bind = $mainMod, F, exec, firefox

# Move focus with ALT + WASD
bind = ALT, Q, movefocus, l
bind = ALT, D, movefocus, r
bind = ALT, Z, movefocus, u
bind = ALT, S, movefocus, d

# Resize windows
binde = $mainMod SHIFT, right, resizeactive, 30 0
binde = $mainMod SHIFT, left, resizeactive, -30 0
binde = $mainMod SHIFT, up, resizeactive, 0 -30
binde = $mainMod SHIFT, down, resizeactive, 0 30

# Move/Resize windows with mainMod + LMB/RMB and dragging
bindm = $mainMod, mouse:272, movewindow
bindm = $mainMod, mouse:273, resizewindow

# Trigger when the switch is turning off
bindl= , switch:on:Lid Switch, exec, swaylock && systemctl suspend
